import os

def read_single_file( name ) :
	past_header, lines = False, []

	if os.path.isfile( name ) :
		f = open( name, encoding="latin-1" )
		for line in f :
			if past_header :
				lines.append(line)
			elif line == '\n' :
				past_header = True

		f.close( )
	content = '\n'.join( lines )

	return name, content

def read_files( path ) :
	for root, dirname, names in os.walk( path ) :
		for name in names :
			filepath = os.path.join( root, name )
			yield read_single_file( filepath )
