import lee
import pandas as pd
from sklearn import feature_extraction

HAM = 0
SPAM = 1
raiz = 'Prueba'

sources = [
	( 'A', HAM ),
	( 'B', SPAM ),
]

def build_data_frame( extractdir, classification ) :
	rows = []
	index = []
	print( extractdir )
	for file_name, text in lee.read_files( extractdir ) :
		print( file_name )
		rows.append( { 'text': text, 'class': classification } )
		index.append( file_name )

	data_frame = pd.DataFrame( rows, index=index )
	return data_frame

data = pd.DataFrame( { 'text': [], 'class': [] } )

for source, classification in sources :
	extractdir = '%s/%s' % ( raiz, source )
	# print( extractdir, classification )
	data = data.append( build_data_frame( extractdir, classification ) )

print( data )
print( data.index )
print( data.columns )

# counts = feature_extraction.text.CountVectorizer( )
# X = counts.fit_transform( data['text'].values  )
# print( X.shape )

# y = data['class'].values
# print( y.shape )
